package com.yunfeiyun.agmp.common.core.domain.model;

import java.util.List;
import java.util.Map;

public interface IBaseMenu {
    public String getId();
    public String getMenuId();
    public void setMenuId(String menuId);
    public String getMenuName();
    public void setMenuName(String menuName);
    public String getParentName();
    public void setParentName(String parentName);
    public String getMenuParentid();
    public void setMenuParentid(String menuParentid);
    public String getMenuSeq();
    public void setMenuSeq(String menuSeq);
    public String getMenuPath();
    public void setMenuPath(String menuPath);
    public String getMenuComponent();
    public void setMenuComponent(String menuComponent);
    public String getMenuQuery();
    public void setMenuQuery(String menuQuery);
    public String getMenuOpentype();
    public void setMenuOpentype(String menuOpentype);
    public String getMenuType();
    public void setMenuType(String menuType);
    public String getMenuVisiblestatus();
    public void setMenuVisiblestatus(String menuVisiblestatus);
    public String getMenuApistatus();
    public void setMenuApistatus(String menuApistatus);
    public String getMenuStatus();
    public void setMenuStatus(String menuStatus);
    public String getMenuPerms();
    public void setMenuPerms(String menuPerms);
    public String getMenuIcon();
    public void setMenuIcon(String menuIcon);
    public List<IBaseMenu> getChildren();
    public void setChildren(List<IBaseMenu> children);
    public String getMenuCreator();
    public void setMenuCreator(String menuCreator);
    public String getMenuCreateddate();
    public void setMenuCreateddate(String menuCreateddate);
    public String getMenuModifier();
    public void setMenuModifier(String menuModifier);
    public String getMenuModifieddate();
    public void setMenuModifieddate(String menuModifieddate);
    public String getMenuRemark();
    public void setMenuRemark(String menuRemark);
    public Map<String, Object> getParams();
    public String getMenuLevelcode();
    public void setMenuLevelcode(String menuLevelcode);
    public String getMenuAncestorlabel();
    public void setMenuAncestorlabel(String menuAncestorlabel);
    public String getMenuSystemId();
    public void setMenuSystemId(String menuSystemId);
}
